Skip to main content
POST
Create

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The application that owns the resource server.

Body

application/json

XAAAccessProfileServiceCreateRequest creates a new access profile.

description
string

Description of what access this profile grants.

displayName
string

Display name for the profile.

xaaResourceServerId
string

The resource server this profile grants access to.

Response

200 - application/json

XAAAccessProfileServiceCreateResponse returns the created access profile.

XAAAccessProfileServiceCreateResponse returns the created access profile.

accessProfile
Xaa Access Profile · object | null

XAAAccessProfile is a requestable bundle of scopes for one resource server.